#ifndef __HPCXX_H_
#define __HPCXX_H_

//
// Include HPC++ headers and templates that an application might need.
//

#include <hpcxx_rts.h>
#include <HPCxx_Sync.cc>
#ifndef HPCXX_NO_RMFI
#include <hpcxx_register.cc>
#include <HPCxx_GlobalPtr.cc>
#include <hpcxx_invokeImpl.cc>
#include <HPCxx_GlobalRefImpl.cc>
#endif

// NOTE, don't include hpcxx_invoke.cc here as it will break the MPI
// implementation, which modifies hpcxx_invoke.cc.  Currently, 
// hpcxx_invoke is normally included from hpcxx_invokeImpl.cc.

#endif // __HPCXX_H_
