// This file tests hpcxx_init and hpcxx_exit only.

#include <hpcxx.h>
#include <iostream.h>

int main(int argc, char** argv)
{
  HPCxx_Group* g;
  hpcxx_init(argc, argv, g);

#ifdef DEBUG
  cout << "Just called hpcxx_init\n" << flush;
#endif

  int error = hpcxx_exit(g);

#ifdef DEBUG
  cout << "Just called hpcxx_exit\n" << flush;
#endif

  cout << endl;
  if (error != 0) {
    cout << "ERROR, TestInit did not complete correctly, error = "
	 << error << endl;
    return error;
  } else {
    cout << "Successfully completed TestInit" << endl;
  }

  return 0;
}
